Bug 1470532 - [RFE] Collect gluster metrics from nodes
[RFE] Collect gluster metrics from nodes
Status: NEW
Product: ovirt-engine-metrics
Classification: oVirt
Component: RFEs (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: ovirt-4.3.0
: ---
Assigned To: Venkata R Edara
Lukas Svaty
: FutureFeature
Depends On: 1559864
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 02:41 EDT by Sahina Bose
Modified: 2018-03-23 08:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Gluster
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.3?
lsvaty: testing_plan_complete+
sabose: planning_ack?
sabose: devel_ack?
sabose: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Sahina Bose 2017-07-13 02:41:48 EDT
Description of problem:

We would like to collect gluster related metrics from each node to help diagnose issues/performance better
Some metrics that are likely to be interesting
- Brick 
  -- capacity utilization
  -- IO stats
  -- entries to be healed
  -- number of connections
- Gluster process - CPU utilization
- Number of bricks and status
- Status of gluster processes

Version-Release number of selected component (if applicable):


How reproducible:
NA
Comment 1 Sahina Bose 2017-07-13 02:44:24 EDT
Sean, could you add to this?
Comment 2 Sahina Bose 2017-08-22 05:25:32 EDT
Are all these metrics collected by the Tendrl plugin
Comment 3 anmol babu 2017-08-22 05:32:32 EDT
- Brick 
  -- capacity utilization -- Yes available in tendrl collectd plugin
  -- IO stats -- Yes available in tendrl collectd plugin
  -- entries to be healed -- Yes available in tendrl collectd plugin
  -- number of connections -- Yes available in tendrl collectd plugin
- Gluster process - CPU utilization
      No process wise cpu consumption monitored currently.
      We have net cpu utilization consumed by various categories like system processes, user processes etc...
- Number of bricks and status -- Yes available in tendrl collectd plugin
- Status of gluster processes -- Not available currently

Additionally the detailed list of metrics that tendrl currently has can be found at: https://github.com/Tendrl/documentation/wiki/Metrics
Comment 4 Shirly Radco 2017-10-23 06:25:08 EDT
IIUC the link specifies the collectd plugins that will also report gluster stats.
I did not see a "tendrl collectd plugin" that requires installation and configuration on collectd side. Is that correct?
Comment 9 Venkata R Edara 2018-03-07 01:54:23 EST
we decided to make separate repository for gluster-collectd plugin. we rasied bz to create repository under gluster.org. The upstream version of collectd is based on C language and we have gluster plugin based on python. to maintain the plugin in better way we decided to have seperate repository and package it. 

once the repository is created, we will ship the rpms to fedora and centos and will have ansible playbook to install it.
Comment 10 Shirly Radco 2018-03-07 02:00:37 EST
(In reply to Venkata R Edara from comment #9)
> we decided to make separate repository for gluster-collectd plugin. we
> rasied bz to create repository under gluster.org. The upstream version of
> collectd is based on C language and we have gluster plugin based on python.
> to maintain the plugin in better way we decided to have seperate repository
> and package it. 
> 
> once the repository is created, we will ship the rpms to fedora and centos
> and will have ansible playbook to install it.

I don't think it should be in a different ansible playbook.
If its available in u/s and d/s we can add it to the ovirt-engine-metrics repo.
Comment 11 Venkata R Edara 2018-03-07 02:08:08 EST
(In reply to Shirly Radco from comment #10)
> (In reply to Venkata R Edara from comment #9)
> > we decided to make separate repository for gluster-collectd plugin. we
> > rasied bz to create repository under gluster.org. The upstream version of
> > collectd is based on C language and we have gluster plugin based on python.
> > to maintain the plugin in better way we decided to have seperate repository
> > and package it. 
> > 
> > once the repository is created, we will ship the rpms to fedora and centos
> > and will have ansible playbook to install it.
> 
> I don't think it should be in a different ansible playbook.
> If its available in u/s and d/s we can add it to the ovirt-engine-metrics
> repo.

Sure. the playbook wont be in different repo. we can add it to ovirt-engine-metrics repo. we will notify once the playbook is ready.

Note You need to log in before you can comment on or make changes to this bug.